++ed by:
KEEDI AWNCORP PERLANCAR SHARYANTO

4 PAUSE users
4 non-PAUSE users.

Laurent Dami
and 1 contributors

NAME

DBIx::DataModel::Compatibility::V0 - compatibility with previous versions 0.*

SYNOPSIS

Do not use this package directly; use indirectly through

  use DBIx::DataModel -compatibility => 0.1;

DESCRIPTION

Version 2 of DBIx::DataModel was a major refactoring from versions 1.* and 0.*, with a number of incompatible changes in the API (classes renamed, arguments renamed or reorganized, etc..).

The present package injects a compatibility layer between your application and DBIx::DataModel : that layer intercepts the calls and modifies the arguments and/or return values so that the API is compatible with prior versions 0.*. The DBIx::DataModel::Compatibility::V1 layer will also be loaded.

The V0 API was deprecated in 2008, so it is strongly recommended to update your applications instead of using the present module.

SEE ALSO

DBIx::DataModel